function getName()
  {
    var first_name = prompt("Jak masz na imię?", "");
    var last_name = prompt("Jak masz na nazwisko?", "");
    var the_name = first_name + " " + last_name;
   alert("W getName zmienna the_name = " + the_name);
  }

  function theGreeting()
  {
    var the_name = getName();
   alert("Poza getName zmienna the_name = " + the_name);
    if (the_name == "Dave Thau")
    {
      alert("Jak leci, stary!");
    } else {
      alert ("Czołem, ludziska!");
    } 
  }
